Bug 1464973 - [RFE]: Configuration option metadata
[RFE]: Configuration option metadata
Status: VERIFIED
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS (Show other bugs)
3.0
Unspecified Unspecified
urgent Severity urgent
: rc
: 3.0
Assigned To: Josh Durgin
Tejas
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 06:34 EDT by John Spray
Modified: 2017-11-07 11:51 EST (History)
9 users (show)

See Also:
Fixed In Version: RHEL: ceph-12.2.0-1.el7cp Ubuntu: ceph_12.2.0-2redhat1xenial
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ceph/ceph/pull/16211 None None None 2017-07-19 16:15 EDT

  None (edit)
Description John Spray 2017-06-26 06:34:49 EDT
A new structure for configuration options, including for each:
 * Categorise into basic/advanced/development
 * Doc string for non-development options
 * Label options with area of interest (performance, logging, etc)
Comment 3 Josh Durgin 2017-07-18 20:14:56 EDT
https://github.com/ceph/ceph/pull/16211
Comment 12 John Spray 2017-11-07 06:36:38 EST
Here's a doc update for config set: https://github.com/ceph/ceph/pull/18789

It looks like you were doing "ceph config set" rather than "ceph tell <osd|mon|mds>.<id> config set".  The former will just set a config setting on whichever mon is the leader, rather than the daemon you wanted to update.

Also, the tags are there, it's just that most settings currently don't have any tags.

Note You need to log in before you can comment on or make changes to this bug.